﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Parsing;
using System;
using Syncfusion.Drawing;
using System.IO;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Security;
using Syncfusion.Pdf.Interactive;
using Syncfusion.EJ2.PdfViewer;

namespace NETCoreSample
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create PDF document 
            PdfDocument document = new PdfDocument();

            //Set margin
            document.PageSettings.Margins.All = 0;

            //Add page
            PdfPage page = document.Pages.Add();

            for (int _i = 0; _i < 5; _i++)
            {
                //Create PDF Signature field
                PdfSignatureField signatureField = new PdfSignatureField(page, "Signature");
                //Set bounds
                signatureField.Bounds = new Syncfusion.Drawing.RectangleF(72 + (_i * 100), (float)(100 * 0.7), 90, 30);
                signatureField.ToolTip = "Signature";
                signatureField.Required = true;
                signatureField.BorderStyle = PdfBorderStyle.Solid;
                //Add the form field to the document.
                document.Form.Fields.Add(signatureField);
                // End Signature Field

                //Draw text in below of each signature box 
                page.Graphics.DrawString("(John)", new PdfStandardFont(PdfFontFamily.Helvetica, 10), PdfBrushes.Black, new PointF(72 + (_i * 100)+25, (float)(100 * 0.7)+40));
            }

            //Save the document
            MemoryStream ms = new MemoryStream();
            document.Save(ms);
            ms.Position = 0;
            //Save the document 
            FileStream outStream = File.OpenWrite("Sample.pdf");
            ms.WriteTo(outStream);
            outStream.Flush();        
        }
    }
}
